RDKit: RDKit::Descriptors::PropertyFunctor Struct Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::Descriptors::PropertyFunctor Struct Referenceabstract

`#include <Property.h>`

## Public Member Functions
| PropertyFunctor (const std::string &name, const std::string &version, double(*func)(const ROMol &)=NULL)
virtual | ~PropertyFunctor ()
virtual double | operator() (const RDKit::ROMol &) const =0
| Compute the value of the property. More...
const std::string | getName () const
| Return the name of the property. More...
const std::string | getVersion () const
| Return the properties version. More...

## Public Attributes
std::string | propName
std::string | propVersion
double(* | d_dataFunc )(const ROMol &)

## Detailed Description

Definition at line 45 of file Property.h.

## Constructor & Destructor Documentation

RDKit::Descriptors::PropertyFunctor::PropertyFunctor | ( | const std::string & | name,
|  | const std::string & | version,
|  | double(*)(const ROMol &) | func = `NULL`
| ) |  |
| inline

Definition at line 52 of file Property.h.

virtual RDKit::Descriptors::PropertyFunctor::~PropertyFunctor | ( |  | ) |
| inlinevirtual

Definition at line 56 of file Property.h.

References operator()().

## Member Function Documentation

const std::string RDKit::Descriptors::PropertyFunctor::getName | ( |  | ) | const
| inline

Return the name of the property.

Definition at line 62 of file Property.h.

References propName.

const std::string RDKit::Descriptors::PropertyFunctor::getVersion | ( |  | ) | const
| inline

Return the properties version.

Definition at line 64 of file Property.h.

References propVersion.

virtual double RDKit::Descriptors::PropertyFunctor::operator() | ( | const RDKit::ROMol & |  | ) | const
| pure virtual

Compute the value of the property.

Referenced by ~PropertyFunctor().

## Member Data Documentation

double(* RDKit::Descriptors::PropertyFunctor::d_dataFunc) (const ROMol &)

Definition at line 50 of file Property.h.

Referenced by RDKit::Descriptors::makePropertyQuery().

std::string RDKit::Descriptors::PropertyFunctor::propName

Definition at line 48 of file Property.h.

Referenced by getName().

std::string RDKit::Descriptors::PropertyFunctor::propVersion

Definition at line 49 of file Property.h.

Referenced by getVersion().

The documentation for this struct was generated from the following file:

- Property.h